Bug 235392 - Digikam crash after changing folder/album
Summary: Digikam crash after changing folder/album
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Albums (show other bugs)
Version: 1.2.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-25 21:53 UTC by bux23
Modified: 2017-07-20 05:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bux23 2010-04-25 21:53:01 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-21-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
Before the crash I copied some albums between two different collections (one on an external harddisk, one on the internal harddisk).
This copying tasks ended without problems. Afterwards I selected (clicked) on a different album/folder and Digikam crashed.

The crash does not seem to be reproducible.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fc2ff5b97e0 (LWP 3111))]

Thread 18 (Thread 0x7fc2eb273710 (LWP 3112)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2f8c5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2261a00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2261a00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006e1d9b in Digikam::ScanController::run (this=0x223f560) at /build/buildd/digikam-1.2.0/digikam/scancontroller.cpp:516
#4  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x223f560) at thread/qthread_unix.cpp:248
#5  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fc2e7990710 (LWP 3114)):
#0  0x00007fc2f7cf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc2f4ff14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fc2f4ff18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fc2f8d78566 in QEventDispatcherGlib::processEvents (this=0x2294210, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fc2f8d4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fc2f8d4dd6c in QEventLoop::exec (this=0x7fc2e798fd70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fc2f8c57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x2509960) at thread/qthread_unix.cpp:248
#8  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fc2e68c8710 (LWP 3115)):
#0  0x00007fc2f7cf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc2f4ff14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fc2f4ff18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fc2f8d78566 in QEventDispatcherGlib::processEvents (this=0x24f0d30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fc2f8d4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fc2f8d4dd6c in QEventLoop::exec (this=0x7fc2e68c7d70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fc2f8c57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x2468820) at thread/qthread_unix.cpp:248
#8  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fc2e6047710 (LWP 3116)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2f8c59ea3 in QMutexPrivate::wait (this=0x21249a0, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007fc2f8c559e5 in QMutex::lock (this=0x2124980) at thread/qmutex.cpp:167
#3  0x00007fc2f9219b4d in QMutexLocker::relock (this=0x7fc2d856c7e0, locale=0x2209520) at /usr/include/qt4/QtCore/qmutex.h:120
#4  QMutexLocker (this=0x7fc2d856c7e0, locale=0x2209520) at /usr/include/qt4/QtCore/qmutex.h:102
#5  KLocalizedStringPrivate::toString (this=0x7fc2d856c7e0, locale=0x2209520) at ../../kdecore/localization/klocalizedstring.cpp:216
#6  0x00007fc2f921aa48 in KLocalizedString::toString (this=0x7fc2e60467a0) at ../../kdecore/localization/klocalizedstring.cpp:205
#7  0x00007fc2fc5d2036 in i18n<QString> (this=0x2508fb0, info=<value optimized out>) at /usr/include/klocalizedstring.h:613
#8  Digikam::ThumbnailCreator::createThumbnail (this=0x2508fb0, info=<value optimized out>) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailcreator.cpp:350
#9  0x00007fc2fc5d2cad in Digikam::ThumbnailCreator::load (this=0x2508fb0, path=...) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailcreator.cpp:195
#10 0x00007fc2fc5da073 in Digikam::ThumbnailLoadingTask::execute (this=0x6c8f7d0) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailtask.cpp:133
#11 0x00007fc2fc5b44fc in Digikam::LoadSaveThread::run (this=0x2508f50) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:134
#12 0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x2508f50) at thread/qthread_unix.cpp:248
#13 0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#14 0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fc2e5846710 (LWP 3117)):
#0  0x00007fc2f7cf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc2f4ff14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fc2f4ff18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fc2f8d78566 in QEventDispatcherGlib::processEvents (this=0x259d7e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fc2f8d4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fc2f8d4dd6c in QEventLoop::exec (this=0x7fc2e5845d70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fc2f8c57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x259fe00) at thread/qthread_unix.cpp:248
#8  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fc2e5045710 (LWP 3118)):
#0  0x00007fc2f7cf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc2f4ff14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fc2f4ff18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fc2f8d78566 in QEventDispatcherGlib::processEvents (this=0x7fc2d8098b50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fc2f8d4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fc2f8d4dd6c in QEventLoop::exec (this=0x7fc2e5044d70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fc2f8c57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x25a02f0) at thread/qthread_unix.cpp:248
#8  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fc2d54c5710 (LWP 3119)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fc2de8f0081 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fc2d4089710 (LWP 3120)):
#0  0x00007fc2f7cf9fb3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fc2de9192c5 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007fc2de8fdc99 in ?? () from /usr/lib/libxine.so.1
#3  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fc2d3888710 (LWP 3121)):
#0  0x00007fc2f7cf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc2f4ff14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fc2f4ff18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fc2f8d78566 in QEventDispatcherGlib::processEvents (this=0x2bf7000, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fc2f8d4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fc2f8d4dd6c in QEventLoop::exec (this=0x7fc2d3887d10, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fc2f8c57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fc2deb4c440 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x2bf6a50) at thread/qthread_unix.cpp:248
#9  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fc2d2e7d710 (LWP 3124)):
#0  0x00007fc2f7cf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc2d2e82915 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fc2d267c710 (LWP 3125)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2de900e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fc2d03e8710 (LWP 3126)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2f8c5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2ef57e8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2ef57e8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fc2fc5b4532 in Digikam::LoadSaveThread::run (this=0x2ef57d0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x2ef57d0) at thread/qthread_unix.cpp:248
#5  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fc2cfbe7710 (LWP 3133)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2f8c5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x321fa98, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x321fa98, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fc2fc5b4532 in Digikam::LoadSaveThread::run (this=0x321fa80) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x321fa80) at thread/qthread_unix.cpp:248
#5  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fc2cd3e2710 (LWP 3134)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2f8c5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x32acbf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x32acbf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fc2fc5b4532 in Digikam::LoadSaveThread::run (this=0x32acbe0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x32acbe0) at thread/qthread_unix.cpp:248
#5  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fc2ce3e4710 (LWP 3135)):
#0  0x00007fc2f89cea2d in __pthread_mutex_unlock_usercnt (mutex=0x7fc2c800a1c8) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fc2c800a1c8) at pthread_mutex_unlock.c:290
#2  0x00007fc2f4ff0ea5 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007fc2f4ff1318 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007fc2f4ff18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007fc2f8d78566 in QEventDispatcherGlib::processEvents (this=0x7fc2c8080540, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#6  0x00007fc2f8d4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007fc2f8d4dd6c in QEventLoop::exec (this=0x7fc2ce3e3d30, flags=) at kernel/qeventloop.cpp:201
#8  0x00007fc2f8c57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#9  0x00007fc2f8d2e178 in QInotifyFileSystemWatcherEngine::run (this=0x495d070) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x495d070) at thread/qthread_unix.cpp:248
#11 0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fc2cdbe3710 (LWP 3199)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2f8c5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x7fc2c8012008, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7fc2c8012008, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fc2fc5b4532 in Digikam::LoadSaveThread::run (this=0x7fc2c8011ff0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x7fc2c8011ff0) at thread/qthread_unix.cpp:248
#5  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fc2c6eba710 (LWP 3200)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc2f8c5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x7fc2c8394748, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7fc2c8394748, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fc2fc5b4532 in Digikam::LoadSaveThread::run (this=0x7fc2c8394730) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fc2f8c5a775 in QThreadPrivate::start (arg=0x7fc2c8394730) at thread/qthread_unix.cpp:248
#5  0x00007fc2f89ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fc2f7d0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc2ff5b97e0 (LWP 3111)):
[KCrash Handler]
#5  malloc_consolidate (av=0x7fc2f7f98e40) at malloc.c:5134
#6  0x00007fc2f7c95fad in _int_malloc (av=0x7fc2f7f98e40, bytes=1152) at malloc.c:4370
#7  0x00007fc2f7c9758e in *__GI___libc_malloc (bytes=1152) at malloc.c:3660
#8  0x00007fc2f8d9876b in QXmlStreamSimpleStack<QXmlStreamPrivateTagStack::Tag>::reserve (this=0x65398f0) at xml/qxmlstream_p.h:654
#9  QXmlStreamPrivateTagStack (this=0x65398f0) at xml/qxmlstream.cpp:778
#10 0x00007fc2f8d9c00c in QXmlStreamReaderPrivate (this=0x7fc2f7f98e40, q=0x480) at xml/qxmlstream.cpp:789
#11 0x00007fc2f8d9f8e6 in QXmlStreamReader (this=0x7fff4b130760, data=...) at xml/qxmlstream.cpp:419
#12 0x00007fc2f92476f6 in KuitSemanticsPrivate::semanticToVisualText (this=<value optimized out>, text_=<value optimized out>, fmtExp_=<value optimized out>, fmtImp_=<value optimized out>)
    at ../../kdecore/localization/kuitsemantics.cpp:1139
#13 0x00007fc2f92493d6 in KuitSemanticsPrivate::format (this=0x22112b0, text=..., ctxt=<value optimized out>) at ../../kdecore/localization/kuitsemantics.cpp:905
#14 0x00007fc2f924949c in KuitSemantics::format (this=<value optimized out>, text=..., ctxt=...) at ../../kdecore/localization/kuitsemantics.cpp:1584
#15 0x00007fc2f9219706 in KLocalizedStringPrivate::postFormat (this=<value optimized out>, text=<value optimized out>, lang=..., lscr=<value optimized out>, ctxt=...)
    at ../../kdecore/localization/klocalizedstring.cpp:477
#16 0x00007fc2f9219fc1 in KLocalizedStringPrivate::toString (this=0x6512d30, locale=<value optimized out>) at ../../kdecore/localization/klocalizedstring.cpp:296
#17 0x00007fc2f921aa48 in KLocalizedString::toString (this=0x7fff4b130d00) at ../../kdecore/localization/klocalizedstring.cpp:205
#18 0x00007fc2fc610115 in i18n<int> (this=0x4777790, size=<value optimized out>) at /usr/include/klocalizedstring.h:613
#19 Digikam::DZoomBar::setThumbsSize (this=0x4777790, size=<value optimized out>) at /build/buildd/digikam-1.2.0/libs/widgets/common/dzoombar.cpp:238
#20 0x0000000000675ea4 in Digikam::DigikamApp::slotThumbSizeChanged (this=0x241d070, size=1152) at /build/buildd/digikam-1.2.0/digikam/digikamapp.cpp:2591
#21 0x00000000006927c2 in Digikam::DigikamApp::qt_metacall (this=0x241d070, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4b130eb0)
    at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/digikamapp.moc:257
#22 0x00007fc2f8d61e3f in QMetaObject::activate (sender=0x227eb30, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x81) at kernel/qobject.cpp:3293
#23 0x0000000000698e1f in Digikam::DigikamView::signalThumbSizeChanged (this=0x7fc2f7f98e40, _t1=96) at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/digikamview.moc:426
#24 0x0000000000698e6f in Digikam::DigikamView::slotToggledToPreviewMode (this=0x227eb30, b=false) at /build/buildd/digikam-1.2.0/digikam/digikamview.cpp:1234
#25 0x00000000006a0398 in Digikam::DigikamView::qt_metacall (this=0x227eb30, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4b131020)
    at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/digikamview.moc:357
#26 0x00007fc2f8d61e3f in QMetaObject::activate (sender=0x226cd60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x81) at kernel/qobject.cpp:3293
#27 0x0000000000666bb0 in Digikam::AlbumWidgetStack::signalToggledToPreviewMode (this=0x7fc2f7f98e40, _t1=false) at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/albumwidgetstack.moc:159
#28 0x000000000066788c in Digikam::AlbumWidgetStack::setPreviewMode (this=0x226cd60, mode=0) at /build/buildd/digikam-1.2.0/digikam/albumwidgetstack.cpp:321
#29 0x000000000069fe36 in Digikam::DigikamView::qt_metacall (this=0x227eb30, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4b1311c0)
    at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/digikamview.moc:300
#30 0x00007fc2f8d61e3f in QMetaObject::activate (sender=0x223f5e0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x81) at kernel/qobject.cpp:3293
#31 0x000000000062fe50 in Digikam::AlbumManager::signalAlbumCurrentChanged (this=0x7fc2f7f98e40, _t1=0x4899300) at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/albummanager.moc:251
#32 0x0000000000660430 in Digikam::AbstractAlbumTreeView::mousePressEvent (this=0x2e08370, e=0x7fff4b1320e0) at /build/buildd/digikam-1.2.0/digikam/albumtreeview.cpp:420
#33 0x00007fc2f9c8f569 in QWidget::event (this=0x2e08370, event=0x7fff4b1320e0) at kernel/qwidget.cpp:7994
#34 0x00007fc2fa0364e6 in QFrame::event (this=0x2e08370, e=0x7fff4b1320e0) at widgets/qframe.cpp:557
#35 0x00007fc2fa16526b in QAbstractItemView::viewportEvent (this=0x2e08370, event=0x7fff4b1320e0) at itemviews/qabstractitemview.cpp:1610
#36 0x00007fc2fa1a0902 in QTreeView::viewportEvent (this=0x2e08370, event=0x7fff4b1320e0) at itemviews/qtreeview.cpp:1248
#37 0x0000000000650640 in Digikam::AlbumSelectionTreeView::viewportEvent (this=0x2e08370, event=0x480) at /build/buildd/digikam-1.2.0/digikam/albumselectiontreeview.cpp:198
#38 0x00007fc2f8d4e487 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x2e089d0, event=0x7fff4b1320e0) at kernel/qcoreapplication.cpp:819
#39 0x00007fc2f9c391fc in QApplicationPrivate::notify_helper (this=0x2141fa0, receiver=0x2e089d0, e=0x7fff4b1320e0) at kernel/qapplication.cpp:4296
#40 0x00007fc2f9c3fecb in QApplication::notify (this=0x7fff4b132e00, receiver=0x2e089d0, e=0x7fff4b1320e0) at kernel/qapplication.cpp:3865
#41 0x00007fc2fab9f526 in KApplication::notify (this=0x7fff4b132e00, receiver=0x2e089d0, event=0x7fff4b1320e0) at ../../kdeui/kernel/kapplication.cpp:302
#42 0x00007fc2f8d4f06c in QCoreApplication::notifyInternal (this=0x7fff4b132e00, receiver=0x2e089d0, event=0x7fff4b1320e0) at kernel/qcoreapplication.cpp:704
#43 0x00007fc2f9c3f0ae in QCoreApplication::sendEvent (receiver=0x2e089d0, event=0x7fff4b1320e0, alienWidget=0x2e089d0, nativeWidget=0x2154b50, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#44 QApplicationPrivate::sendMouseEvent (receiver=0x2e089d0, event=0x7fff4b1320e0, alienWidget=0x2e089d0, nativeWidget=0x2154b50, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:2965
#45 0x00007fc2f9cbef65 in QETWidget::translateMouseEvent (this=0x2154b50, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#46 0x00007fc2f9cbd8ac in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff4b132a00) at kernel/qapplication_x11.cpp:3501
#47 0x00007fc2f9ce9882 in x11EventSourceDispatch (s=0x2145c90, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#48 0x00007fc2f4fed8c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#49 0x00007fc2f4ff1748 in ?? () from /lib/libglib-2.0.so.0
#50 0x00007fc2f4ff18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#51 0x00007fc2f8d78513 in QEventDispatcherGlib::processEvents (this=0x21076d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#52 0x00007fc2f9ce946e in QGuiEventDispatcherGlib::processEvents (this=0x7fc2f7f98e40, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#53 0x00007fc2f8d4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#54 0x00007fc2f8d4dd6c in QEventLoop::exec (this=0x7fff4b132d30, flags=) at kernel/qeventloop.cpp:201
#55 0x00007fc2f8d51aab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#56 0x000000000077fa9b in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.2.0/digikam/main.cpp:193

Reported using DrKonqi
Comment 1 Johannes Wienke 2010-04-25 21:57:59 UTC
This looks like an out-of-memory error. Is it reproducible?
Comment 2 Johannes Wienke 2010-04-25 21:58:52 UTC
Oh it is not as you wrote. ;)
Comment 3 bux23 2010-04-26 19:49:34 UTC
(In reply to comment #1)
> This looks like an out-of-memory error. Is it reproducible?

Interesting. It's possible, but I didn't run a lot of applications, nor were they very memory-intensive (Skype, Amarok, Firefox and Konqueror as far as I remember). Not enough to fill 4 GiB of RAM (except if an application had a memory leak or so, but I didn't notice another application crash). And I guess I would have noticed if the 4,5 or so GiB of swap would have been filled up.
Comment 4 caulier.gilles 2010-10-06 13:30:14 UTC
Can you try with digiKam 1.4.0 ?

Gilles Caulier
Comment 5 caulier.gilles 2010-11-24 09:07:57 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 6 Marcel Wiesweg 2011-01-18 14:30:52 UTC
Could you reproduce anymore with a recent version?
If not, there's not much we can do here. Crash occurs in KDE libs code, at a seemingly random place.
Comment 7 caulier.gilles 2011-07-06 10:49:10 UTC
We need feedback here...

Gilles Caulier
Comment 8 caulier.gilles 2015-07-03 06:01:11 UTC
New digiKam 4.11.0 is available.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 9 bux23 2015-07-05 20:27:27 UTC
Sorry, the hardware and the setup do not exist any more. Anyway, the problem was not really reproducible even when I opened this bug report. So please close this bug if you want to - I assume the problem was fixed in the last five years.